<?php
/**
 * BookiFlex Core
 *
 * @package    BookiFlex
 * @subpackage Core
 * @author     BookiFlex
 * @copyright  Copyright (c) 2025 BookiFlex
 * @license    GPL-2.0-or-later
 *
 * @link       https://bookiflex.com
 */


declare(strict_types=1);
namespace BookiFlex\Core\Util;

use BookiFlex\Core\Model\AccommodationType\AccommodationPlacementTypeInterface;

defined( 'ABSPATH' ) || exit;

class AccommodationTypeScenario
{
    public static function getName(string $key): string
    {
        return match ($key) {
            AccommodationPlacementTypeInterface::ADULT_ON_MAIN_PLACE => __('Adult on Main place', 'bookiflex'),
            AccommodationPlacementTypeInterface::ADULT_ON_EXTRA_PLACE => __('Adult on Extra place', 'bookiflex'),
            AccommodationPlacementTypeInterface::CHILD_ON_MAIN_PLACE => __('Child on Main place', 'bookiflex'),
            AccommodationPlacementTypeInterface::CHILD_ON_EXTRA_PLACE => __('Child on Extra place', 'bookiflex'),
            AccommodationPlacementTypeInterface::CHILD_WITHOUT_PLACE => __('Child without place', 'bookiflex'),
            default => ''
        };
    }
}
